Skip to main content
POST
/
v1
/
saved-filters
/
validate
Validate Saved Filter
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/saved-filters/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filterId": {},
  "dataTableId": {}
}
'
[
  {
    "problemType": "UNKNOWN",
    "severity": "WARNING",
    "entityType": "<string>",
    "entityId": {},
    "identifier": "<string>",
    "values": [
      "<string>"
    ],
    "reason": "<string>",
    "suggestedValues": [
      "<string>"
    ],
    "problemCount": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filterId
object
required
dataTableId
object
required

Response

OK

problemType
enum<string>

The type of problem.

Available options:
UNKNOWN,
ILLEGAL_ARGUMENT,
CANNOT_DELETE,
GREATER_VALUE_REQUIRED,
LESS_VALUE_REQUIRED,
NON_UNIQUE_VALUE,
USER_EMAIL_ALREADY_EXISTS,
INCORRECT_DATA_TYPE,
RATIO_CONVERSION_FAILED,
RISK_SCORE_FILTER_CONVERSION_FAILED,
FILTER_CONVERSION_FAILED,
POPULATION_CONVERSION_FAILED,
INSUFFICIENT_PERMISSION,
ACCOUNT_GROUPING_NODES_CONTAIN_ERRORS,
ACCOUNT_GROUPING_IN_USE_BY_LIBRARY,
INVALID_ACCOUNT_GROUPING_FILE,
DELIVERY_FAILURE,
INVALID_STATE
severity
enum<string>

Indicates how severe the problem is.

Available options:
WARNING,
ERROR
entityType
string

The type of entity impacted by the problem.

entityId
object

Identifies the entity impacted by the problem.

identifier
string

Identifies the field causing the problem.

values
string[]

Identifies the values causing the problem.

reason
string

The reason(s) why the problem occurred.

suggestedValues
string[]

A suggested set of values to assist in resolving the problem.

problemCount
integer<int32>

The total number of occurrences of this problem.